Skip to content

Connectivity Node Query.

POST
/api/data/namespaces/{namespace}/graph/connectivity/node
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/example/graph/connectivity/node \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "end_time": "example", "field_selector": { "healthscore": { "types": [ "HEALTHSCORE_NONE" ] }, "metric": { "features": [ "TIMESERIES_FEATURE_NONE" ], "instances": [ "NODE_INSTANCE_METRIC_TYPE_NONE" ], "interfaces": [ "NODE_IF_METRIC_TYPE_NONE" ], "types": [ "NODE_METRIC_TYPE_NONE" ] } }, "id": { "site": "example", "site_type": "INVALID" }, "label_filter": [ { "label": "LABEL_NONE", "op": "NOP", "value": "example" } ], "namespace": "example", "range": "example", "start_time": "example", "step": "example", "group_by": [ "NONE" ] }'

Request to GET Connectivity data for a site. This query is used to GET time-series data for a given site.

namespace
required
string

Namespace This request is supported only in system namespace.

Media typeapplication/json
Connectivity Node Request

Request to GET time-series data for a node in the connectivity graph. While graph/connectivity API is used to GET connectivity data for all sites, where each node and edge contains the aggregated value for each field; graph/connectivity/node API is used to GET the time-series data (drill-down of aggregated data) for each field.

object
end_time
end_time

End time of metric collection from which data will be considered to build graph. Format: unix_timestamp|RFC 3339

Optional: If not specified, then the end_time will be evaluated to start_time+10m If start_time is not specified, then the end_time will be evaluated to

string
<= 1024 characters
field_selector
object
healthscore
object
types
Types

Healthscore types to be returned in the response.

Array<string>
Allowed values: HEALTHSCORE_NONE HEALTHSCORE_CONNECTIVITY HEALTHSCORE_PERFORMANCE HEALTHSCORE_SECURITY HEALTHSCORE_RELIABILITY HEALTHSCORE_OVERALL
metric
object
features
Features

Specify list of timeseries features that should be returned for each metric type in the request.

Array<string>
Allowed values: TIMESERIES_FEATURE_NONE CONFIDENCE_INTERVAL ANOMALY_DETECTION TREND HEALTHSCORE
instances
Instance Metrics

Specify list of metrics.

Array<string>
Allowed values: NODE_INSTANCE_METRIC_TYPE_NONE NODE_INSTANCE_CPU_USAGE NODE_INSTANCE_MEMORY_USAGE NODE_INSTANCE_DISK_USAGE NODE_INSTANCE_GPU_TEMPERATURE NODE_INSTANCE_GPU_TX_THROUGHPUT NODE_INSTANCE_GPU_RX_THROUGHPUT NODE_INSTANCE_GPU_USAGE NODE_INSTANCE_STATUS NODE_INSTANCE_CPU_USAGE_EXTERNAL NODE_INSTANCE_RE_IN_THROUGHPUT NODE_INSTANCE_RE_OUT_THROUGHPUT NODE_INSTANCE_DATA_PLANE_CONNECTION_STATUS NODE_INSTANCE_CONTROL_PLANE_CONNECTION_STATUS
interfaces
Interface Metrics

Specify list of metrics that should be returned for each physical interface in a site.

Array<string>
Allowed values: NODE_IF_METRIC_TYPE_NONE NODE_IF_STATUS NODE_IF_IN_THROUGHPUT NODE_IF_OUT_THROUGHPUT NODE_IF_IN_DROP_RATE NODE_IF_OUT_DROP_RATE NODE_IF_IN_PACKETS_RATE NODE_IF_OUT_PACKETS_RATE
types
Node Metrics

Specify list of metrics that should be returned for each node in the connectivity graph.

Array<string>
Allowed values: NODE_METRIC_TYPE_NONE NODE_IN_THROUGHPUT NODE_OUT_THROUGHPUT NODE_IN_DROP_RATE NODE_OUT_DROP_RATE NODE_DEPLOYMENT_COUNT NODE_POD_COUNT NODE_REACHABILITY NODE_CONNECTION_STATUS NODE_ARES_CONNECTION_STATUS NODE_DATA_PLANE_CONNECTION_STATUS NODE_CONTROL_PLANE_CONNECTION_STATUS NODE_LOCAL_CONTROL_PLANE_CONNECTION_STATUS
id
object
site
Site

Name of the site.

string
<= 1024 characters
site_type
string
default: INVALID
Allowed values: INVALID REGIONAL_EDGE CUSTOMER_EDGE NGINX_ONE
label_filter
label_filter

List of label filter expressions of the form “label key” QueryOp “value”. Response will only contain data that matches all the conditions specified in the label_filter.

Optional: If not specified, connectivity data for all sites will be returned in the response.

Array<object>
Label Filter

Metrics used in the connectivity graph are tagged with labels listed in the enum Label. Label Filter is used to filter the timeseries that match the specified label key/value and the operator.

object
label
string
default: LABEL_NONE
Allowed values: LABEL_NONE LABEL_SITE LABEL_NETWORK_TYPE LABEL_INTERFACE_TYPE LABEL_CONNECTIVITY_TYPE
op
string
default: NOP
Allowed values: NOP EQ NEQ
value
Value

Value of the label.

string
>= 3 characters <= 1024 characters
namespace
namespace

This request is supported only in system namespace.

string
>= 6 characters <= 1024 characters
range
range

Range decides how far to go back in time to fetch values for each step. For example, if the range is 5m, then for step t1, query will be evaluated for t1-5m and for t2, query will be evaluated for t2-5m and so on. Format: [0-9][smhd], where s - seconds, m - minutes, h - hours, d - days

Note: For non-timeseries query, i.e., for step=end_time-start_time, range should be set to end_time-start_time

Optional: If not specified, range is set to 5m.

string
<= 1024 characters
start_time
start_time

Start time of metric collection from which data will be considered to build graph. Format: unix_timestamp|RFC 3339

Optional: If not specified, then the start_time will be evaluated to end_time-10m If end_time is not specified, then the start_time will be evaluated to -10m.

string
<= 1024 characters
step
step

Step is the resolution width, which determines the number of the data points [x-axis (time)] to be returned in the response. The timestamps in the response will be t1=start_time, t2=t1+step, … Tn=tn-1+step, where tn <= end_time. Format: [0-9][smhd], where s - seconds, m - minutes, h - hours, d - days

Optional: If not specified, then step size is evaluated to <end_time - start_time>

string
<= 1024 characters
group_by
group_by

Aggregate data by site.

Optional: If not specified, then the data is aggregated/grouped by site.

Array<string>
<= 4 items
Allowed values: NONE SITE

A successful response.

Media typeapplication/json
Connectivity Node Response

Response for graph/connectivity/node API returns the time-series data for the site specified in the request.

object
data
object
healthscore
object
data
Data

List of healthscores specified in the request.

Array<object>
Healthscore Type Data

HealthScoreTypeData contains healthscore type and the corresponding value.

object
reason
Reason

A human readable string explaining the reason in case of bad healthscore.

string
>= 27 characters <= 1024 characters
type
string
default: HEALTHSCORE_NONE
Allowed values: HEALTHSCORE_NONE HEALTHSCORE_CONNECTIVITY HEALTHSCORE_PERFORMANCE HEALTHSCORE_SECURITY HEALTHSCORE_RELIABILITY HEALTHSCORE_OVERALL
value
Value

Healthscore value.

Array<object>
>= 3 characters <= 15 characters
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

Description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

Configuration parameter for previous value

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
id
object
site
Site

Name of the site.

string
<= 1024 characters
site_type
string
default: INVALID
Allowed values: INVALID REGIONAL_EDGE CUSTOMER_EDGE NGINX_ONE
instances
Instances

Instance data for the node requested by the user.

Array<object>
Node Instance Data

NodeInstanceData is part of the connectivity graph response that contains the instance name along with the corresponding metric.

object
id
ID

Instance name.

string
>= 1 <= 4094 <= 1024 characters
metric
Metric

Instance Metric Data.

Array<object>
Node Instance Metric Data

NodeInstanceMetricData contains the metric type and the corresponding value for a node instance.

object
type
string
default: NODE_INSTANCE_METRIC_TYPE_NONE
Allowed values: NODE_INSTANCE_METRIC_TYPE_NONE NODE_INSTANCE_CPU_USAGE NODE_INSTANCE_MEMORY_USAGE NODE_INSTANCE_DISK_USAGE NODE_INSTANCE_GPU_TEMPERATURE NODE_INSTANCE_GPU_TX_THROUGHPUT NODE_INSTANCE_GPU_RX_THROUGHPUT NODE_INSTANCE_GPU_USAGE NODE_INSTANCE_STATUS NODE_INSTANCE_CPU_USAGE_EXTERNAL NODE_INSTANCE_RE_IN_THROUGHPUT NODE_INSTANCE_RE_OUT_THROUGHPUT NODE_INSTANCE_DATA_PLANE_CONNECTION_STATUS NODE_INSTANCE_CONTROL_PLANE_CONNECTION_STATUS
unit
string
default: UNIT_MILLISECONDS
Allowed values: UNIT_MILLISECONDS UNIT_SECONDS UNIT_MINUTES UNIT_HOURS UNIT_DAYS UNIT_BYTES UNIT_KBYTES UNIT_MBYTES UNIT_GBYTES UNIT_TBYTES UNIT_KIBIBYTES UNIT_MIBIBYTES UNIT_GIBIBYTES UNIT_TEBIBYTES UNIT_BITS_PER_SECOND UNIT_BYTES_PER_SECOND UNIT_KBITS_PER_SECOND UNIT_KBYTES_PER_SECOND UNIT_MBITS_PER_SECOND UNIT_MBYTES_PER_SECOND UNIT_CONNECTIONS_PER_SECOND UNIT_ERRORS_PER_SECOND UNIT_PACKETS_PER_SECOND UNIT_REQUESTS_PER_SECOND UNIT_PACKETS UNIT_PERCENTAGE UNIT_COUNT
value
object
anomaly
Anomaly

Number of anomalies for the given time range.

Array<object>
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

Description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

Configuration parameter for previous value

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
confidence_lower_bound
Confidence Lower Bound

Lower Bound of the metric value.

Array<object>
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

Description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

Configuration parameter for previous value

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
confidence_upper_bound
Confidence Upper Bound

Upper Bound of the metric value.

Array<object>
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

Description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

Configuration parameter for previous value

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
healthscore
Healthscore

Healscore of the metric calculated based on the number of anomalies and the value of the anomalies for the time range.

Array<object>
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

Description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

Configuration parameter for previous value

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
raw
Raw

List of metric values for a given metric type.

Array<object>
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

Description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

Configuration parameter for previous value

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
trend
Trend

Indicates the metric trend.

Array<object>
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

Description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

Configuration parameter for previous value

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
interfaces
Interfaces

Interface data for the node requested by the user.

Array<object>
Node Interface Data

NodeInterfaceData is part of the connectivity graph response that contains the interface name along with the corresponding metric.

object
id
ID

Interface name.

string
>= 1 <= 4094 <= 1024 characters
metric
Metric

Interface Metric Data.

Array<object>
Node Interface Metric Data

NodeInterfaceMetricData contains the metric type and the corresponding value for a node interface.

object
type
string
default: NODE_IF_METRIC_TYPE_NONE
Allowed values: NODE_IF_METRIC_TYPE_NONE NODE_IF_STATUS NODE_IF_IN_THROUGHPUT NODE_IF_OUT_THROUGHPUT NODE_IF_IN_DROP_RATE NODE_IF_OUT_DROP_RATE NODE_IF_IN_PACKETS_RATE NODE_IF_OUT_PACKETS_RATE
unit
string
default: UNIT_MILLISECONDS
Allowed values: UNIT_MILLISECONDS UNIT_SECONDS UNIT_MINUTES UNIT_HOURS UNIT_DAYS UNIT_BYTES UNIT_KBYTES UNIT_MBYTES UNIT_GBYTES UNIT_TBYTES UNIT_KIBIBYTES UNIT_MIBIBYTES UNIT_GIBIBYTES UNIT_TEBIBYTES UNIT_BITS_PER_SECOND UNIT_BYTES_PER_SECOND UNIT_KBITS_PER_SECOND UNIT_KBYTES_PER_SECOND UNIT_MBITS_PER_SECOND UNIT_MBYTES_PER_SECOND UNIT_CONNECTIONS_PER_SECOND UNIT_ERRORS_PER_SECOND UNIT_PACKETS_PER_SECOND UNIT_REQUESTS_PER_SECOND UNIT_PACKETS UNIT_PERCENTAGE UNIT_COUNT
value
object
anomaly
Anomaly

Number of anomalies for the given time range.

Array<object>
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

Description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

Configuration parameter for previous value

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
confidence_lower_bound
Confidence Lower Bound

Lower Bound of the metric value.

Array<object>
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

Description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

Configuration parameter for previous value

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
confidence_upper_bound
Confidence Upper Bound

Upper Bound of the metric value.

Array<object>
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

Description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

Configuration parameter for previous value

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
healthscore
Healthscore

Healscore of the metric calculated based on the number of anomalies and the value of the anomalies for the time range.

Array<object>
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

Description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

Configuration parameter for previous value

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
raw
Raw

List of metric values for a given metric type.

Array<object>
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

Description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

Configuration parameter for previous value

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
trend
Trend

Indicates the metric trend.

Array<object>
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

Description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

Configuration parameter for previous value

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
network_type
Network Type

Network Type can be “INSIDE” (LAN traffic) or “OUTSIDE” (WAN traffic)

string
<= 1024 characters
segment_name
Segment Name

Segment name for network_type segment should be added in response.

string
<= 1024 characters
metric
Metric

Node Metric data specified in the request.

Array<object>
Node Metric Data

NodeMetricData contains metric type and the corresponding value for a node.

object
type
string
default: NODE_METRIC_TYPE_NONE
Allowed values: NODE_METRIC_TYPE_NONE NODE_IN_THROUGHPUT NODE_OUT_THROUGHPUT NODE_IN_DROP_RATE NODE_OUT_DROP_RATE NODE_DEPLOYMENT_COUNT NODE_POD_COUNT NODE_REACHABILITY NODE_CONNECTION_STATUS NODE_ARES_CONNECTION_STATUS NODE_DATA_PLANE_CONNECTION_STATUS NODE_CONTROL_PLANE_CONNECTION_STATUS NODE_LOCAL_CONTROL_PLANE_CONNECTION_STATUS
unit
string
default: UNIT_MILLISECONDS
Allowed values: UNIT_MILLISECONDS UNIT_SECONDS UNIT_MINUTES UNIT_HOURS UNIT_DAYS UNIT_BYTES UNIT_KBYTES UNIT_MBYTES UNIT_GBYTES UNIT_TBYTES UNIT_KIBIBYTES UNIT_MIBIBYTES UNIT_GIBIBYTES UNIT_TEBIBYTES UNIT_BITS_PER_SECOND UNIT_BYTES_PER_SECOND UNIT_KBITS_PER_SECOND UNIT_KBYTES_PER_SECOND UNIT_MBITS_PER_SECOND UNIT_MBYTES_PER_SECOND UNIT_CONNECTIONS_PER_SECOND UNIT_ERRORS_PER_SECOND UNIT_PACKETS_PER_SECOND UNIT_REQUESTS_PER_SECOND UNIT_PACKETS UNIT_PERCENTAGE UNIT_COUNT
value
object
anomaly
Anomaly

Number of anomalies for the given time range.

Array<object>
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

Description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

Configuration parameter for previous value

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
confidence_lower_bound
Confidence Lower Bound

Lower Bound of the metric value.

Array<object>
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

Description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

Configuration parameter for previous value

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
confidence_upper_bound
Confidence Upper Bound

Upper Bound of the metric value.

Array<object>
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

Description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

Configuration parameter for previous value

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
healthscore
Healthscore

Healscore of the metric calculated based on the number of anomalies and the value of the anomalies for the time range.

Array<object>
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

Description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

Configuration parameter for previous value

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
raw
Raw

List of metric values for a given metric type.

Array<object>
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

Description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

Configuration parameter for previous value

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
trend
Trend

Indicates the metric trend.

Array<object>
Metric Value

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in seconds.

number format: double
trend_value
object
description
Description

Description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

Configuration parameter for previous value

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
step
step

Actual step size used in the response. It could be higher than the requested step due to metric rollups and the query duration. Format: [0-9][smhd], where s - seconds, m - minutes, h - hours, d - days.

string
<= 1024 characters
Example
{
"data": {
"healthscore": {
"data": [
{
"type": "HEALTHSCORE_NONE",
"value": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
]
}
]
},
"id": {
"site_type": "INVALID"
},
"instances": [
{
"metric": [
{
"type": "NODE_INSTANCE_METRIC_TYPE_NONE",
"unit": "UNIT_MILLISECONDS",
"value": {
"anomaly": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
],
"confidence_lower_bound": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
],
"confidence_upper_bound": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
],
"healthscore": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
],
"raw": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
],
"trend": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
]
}
}
]
}
],
"interfaces": [
{
"metric": [
{
"type": "NODE_IF_METRIC_TYPE_NONE",
"unit": "UNIT_MILLISECONDS",
"value": {
"anomaly": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
],
"confidence_lower_bound": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
],
"confidence_upper_bound": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
],
"healthscore": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
],
"raw": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
],
"trend": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
]
}
}
]
}
],
"metric": [
{
"type": "NODE_METRIC_TYPE_NONE",
"unit": "UNIT_MILLISECONDS",
"value": {
"anomaly": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
],
"confidence_lower_bound": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
],
"confidence_upper_bound": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
],
"healthscore": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
],
"raw": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
],
"trend": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
]
}
}
]
}
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example